package com.baidu.flutter_bmfutils;

import android.util.Log;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry;
import main.com.baidu.flutter_bmfutils.Env;
import com.baidu.flutter_bmfutils.Constants;

public class FlutterBmfutilsPlugin implements FlutterPlugin, MethodChannel.MethodCallHandler {

    public static final String TAG = FlutterBmfutilsPlugin.class.getSimpleName();
    private static MethodChannel sCommonChannel;
    private static MethodChannel sOpenChannel;
    private static MethodChannel sConverterChannel;

    public static void registerWith(PluginRegistry.Registrar registrarFor) {
        sCommonChannel = new MethodChannel(registrarFor.messenger(), Constants.COMMON_METHOD_CHANNEL);
        sCommonChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
        sOpenChannel = new MethodChannel(registrarFor.messenger(), Constants.OPEN_METHOD_CHANNEL);
        sOpenChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
        sConverterChannel = new MethodChannel(registrarFor.messenger(), Constants.CONVERTER_METHOD_CHANNEL);
        sConverterChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
    }

    @Override
    public void onAttachedToEngine(FlutterPluginBinding binding) {
        if(Env.DEBUG){
            Log.d(TAG, "onAttachedToEngine enter");
        }

        sCommonChannel = new MethodChannel(binding.getBinaryMessenger(), Constants.COMMON_METHOD_CHANNEL);
        sCommonChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
        sOpenChannel = new MethodChannel(binding.getBinaryMessenger(), Constants.OPEN_METHOD_CHANNEL);
        sOpenChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
        sConverterChannel = new MethodChannel(binding.getBinaryMessenger(), Constants.CONVERTER_METHOD_CHANNEL);
        sConverterChannel.setMethodCallHandler(new FlutterBmfutilsPlugin());
    }

    @Override
    public void onDetachedFromEngine(FlutterPluginBinding binding) {

    }

    @Override
    public void onMethodCall(MethodCall call, MethodChannel.Result result) {
        if(Env.DEBUG){
            Log.d(TAG, "onMethodCall enter");
        }

        com.baidu.flutter_bmfutils.Handlers.HandlersFactory.getInstance().dispatchMethodHandler(call, result);
    }
}