#import "FlutterBmfutilsPlugin.h"
#import <BaiduMapAPI_Utils/BMKUtilsVersion.h>

#import "BMFOpenManager.h"
#import "BMFConvertManager.h"

@implementation FlutterBmfutilsPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar> *)registrar {
    FlutterMethodChannel *channel = [FlutterMethodChannel methodChannelWithName:@"flutter_bmfutils"
                                                              binaryMessenger:[registrar messenger]];
    FlutterBmfutilsPlugin *instance = [[FlutterBmfutilsPlugin alloc] init];
    [registrar addMethodCallDelegate:instance channel:channel];
    
    // open 注册
    [BMFOpenManager registerWithRegistrar:registrar];
    // convert 注册
    [BMFConvertManager registerWithRegistrar:registrar];
}

- (void)handleMethodCall:(FlutterMethodCall *)call result:(FlutterResult)result {
//    NSLog(@"-ios-call.method = %@", call.method);
    if ([call.method isEqualToString:@"getUtilsVersion"]) {
        NSString *version = BMKGetMapApiUtilsComponentVersion();
        result(version);
    }
}

@end
