library bmfmap_utils.model.bmf_open_panorama_options;

import 'package:flutter/material.dart';
import 'package:flutter_bmfbase/BaiduMap/bmfmap_base.dart' show BMFModel;

/// 调起百度地图全景图
class BMFOpenPanoramaOption implements BMFModel {
  static BMFOpenPanoramaOption panoramaOption() =>
      BMFOpenPanoramaOption(poiUid: null);

  /// poi的uid
  String poiUid;

  /// 指定返回自定义scheme
  ///
  /// 仅iOS支持，Android不支持
  String appScheme;

  /// 调起百度地图客户端失败后，是否支持调起web地图，默认：true
  bool isSupportWeb;

  /// BMFOpenPanoramaOption构造方法
  BMFOpenPanoramaOption(
      {@required this.poiUid, this.appScheme, this.isSupportWeb = true});

  @override
  fromMap(Map map) {
    return new BMFOpenPanoramaOption(
        poiUid: map['poiUid'],
        appScheme: map['appScheme'],
        isSupportWeb: map['isSupportWeb'] as bool);
  }

  @override
  Map<String, Object> toMap() {
    return {
      'poiUid': this.poiUid,
      'appScheme': this.appScheme,
      'isSupportWeb': this.isSupportWeb
    };
  }
}
